/*
   client/input.h
   This file is part of the Osirion project and is distributed under
   the terms and conditions of the GNU General Public License version 2
*/

#ifndef __INCLUDED_cLIENT_INPUT_H__
#define __INCLUDED_cLIENT_INPUT_H__

#include "client/key.h"
#include "core/cvar.h"

namespace client
{

namespace input
{

/// initialize the input subsystem
void init();

/// shutdown the input subsystem
void shutdown();

/// handle one frame of input events
void frame();

/// reset input state
void reset();

/// current mouse x position
int mouse_position_x();

/// current mouse y position
int mouse_position_y();

/// the last key that was pressed
Key *last_key_pressed();

/// time the mouse was last moved
float mouse_lastmoved_time();

/// time the joystick was last moved
float joystick_lastmoved_time();

extern bool mouse_deadzone;
extern bool mouse_control;
extern bool joystick_control;

extern float local_thrust;

} // namespace input

} // namespace client

#endif // __INCLUDED_cLIENT_INPUT_H__

