/*
   core/netplayer.h
   This file is part of the Osirion project and is distributed under
   the terms of the GNU General Public License version 2
*/

#ifndef __INCLUDED_CORE_NETPLAYER_H__
#define __INCLUDED_CORE_NETPLAYER_H__

namespace core
{
class NetPlayer;
}

#include "core/player.h"
#include "core/netclient.h"
#include "core/message.h"

namespace core
{

class NetPlayer : public Player
{
public:
        NetPlayer(NetClient *client);
        virtual ~NetPlayer();

	NetClient *client() { return player_client; }

	virtual void message(Message::Channel const channel, const std::string text);
	virtual void sound(const std::string name);

private:
	NetClient		*player_client;
};

}

#endif // __INCLUDED_CORE_NETCLIENT_H__

