/*
   game/game.cc
   This file is part of the Osirion project and is distributed under
   the terms of the GNU General Public License version 2
*/

#include "game/game.h"

#include "base/base.h"
#include "example/example.h"
#include "intro/intro.h"

#include "core/core.h"
#include "sys/sys.h"

namespace game 
{

/// register game modules
void register_modules(bool register_noninteractive_modules)
{
	con_print << "^BRegistering game modules..." << std::endl;
	
	// non-interactive modules
	core::Module::add(new base::Base());
	core::Module::add(new example::Example());

	// interactive modules
	if (register_noninteractive_modules) {
		core::Module::add(new intro::Intro());
	}
}

}
