/*
   intro/intro.h
   This file is part of the Osirion project and is distributed under 
   the terms of the GNU General Public License version 2 
*/

#ifndef __INCLUDED_INTRO_H__
#define __INCLUDED_INTRO_H__

#include "core/core.h"
#include "intro/convoy.h"

/// introduction game module
namespace intro
{

/// introduction game module
class Intro : public core::Module
{
public:
	/// create an introduction game module
	Intro();
	/// delete an introduction game module
	~Intro();

	/// run one frame
	void frame(float seconds);

	/// is called when a player connects
	void player_connect(core::Player *player);

	/// is called when a player disconnects
	void player_disconnect(core::Player *player);

protected:
	/// run the introduction
	void init();

	/// shutdown the introduction
	void shutdown();
private:
	core::Zone	*intro_zone;
	Convoy		*intro_convoy;

	bool load_world();
};

}

#endif // __INCLUDED_INTRO_H__

