/*
   ui/font.h
   This file is part of the Osirion project and is distributed under
   the terms of the GNU General Public License version 2
*/

#ifndef __INCLUDED_UI_FONT_H__
#define __INCLUDED_UI_FONT_H__

#include <string>
#include "math/vector2f.h"

namespace ui
{

class Font
{
public:
	Font(const char *name, const float width, const float height);
	~Font();
	
	inline const std::string & name() const {
		return font_name;
	}
	
	inline const math::Vector2f & size() const {
		return font_size;
	}
	
	inline float width() const {
		return font_size.x;
	}
	
	inline float height() const {
		return font_size.y;
	}
	
	void set_size(const float width, const float height);
	
	void set_size(const math::Vector2f &size);
	
	void set_width(const float width);
	
	void set_height(const float height);
	
	void set_name(const char *name);
	
	void set_name(const std::string & name);
	
private:

	std::string	font_name;
	
	math::Vector2f	font_size;
};

}

#endif // __INCLUDED_UI_FONT_H__

